Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.platform
Class LCDScreen

    java.lang.Object
      avrora.sim.platform.LCDScreen

All Implemented Interfaces:
  USART.USARTDevice

public class LCDScreen
extends java.lang.Object
implements USART.USARTDevice

Debug class. Connect this for TestUart test case. "Formats" LCD display.

Constructor Summary
`LCDScreen()` The constructor for the `LCDScreen` class initializes a 40x2 character array that represents the character area of the LCD screen.

Method Summary
`char` | `memory(byte cursor)` The `memory()` method returns the character in memory at the given location.
`void` | `receiveFrame(USART.Frame frame)` The `receiveFrame()` method receives a frame from the USART that this device is connected to.
`java.lang.String` | `toString()` The `toString()` method converts this LCD screen into a String representation.
`USART.Frame` | `transmitFrame()` Transmit a frame from this device.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LCDScreen

    public LCDScreen()

  The constructor for the `LCDScreen` class initializes a 40x2 character array that represents the character area of the LCD screen.

Method Detail

### memory

    public char memory(byte cursor)

  The `memory()` method returns the character in memory at the given location.

  Parameters:
    `cursor` - the index into the memory for which to retrieve the character
  Returns:
    the character that is in the specified memory location

### transmitFrame

    public USART.Frame transmitFrame()

  Description copied from interface: `USART.USARTDevice`
  Transmit a frame from this device.

  Specified by:
    `transmitFrame` in interface `USART.USARTDevice`
  Returns:
    the frame for transmission

### receiveFrame

    public void receiveFrame(USART.Frame frame)

  The `receiveFrame()` method receives a frame from the USART that this device is connected to. It then decodes the command, performs the specified action, and updates the character memory accordingly.

  Specified by:
    `receiveFrame` in interface `USART.USARTDevice`
  Parameters:
    `frame` - the USART frame to receive

### toString

    public java.lang.String toString()

  The `toString()` method converts this LCD screen into a String representation.

  Returns:
    a string representation of this LCD screen.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD